JlCompress::Options Class Reference

## Public Types

enum | CompressionStrategy { Storage = 0x00 , Fastest = 0x81 , Faster = 0x83 , Standard = 0x86 , Better = 0x87 , Best = 0x89 , Default = 0xff }

## Public Member Functions

| Options (const CompressionStrategy &strategy)
| Options (const QDateTime &dateTime=QDateTime(), const CompressionStrategy &strategy=Default)
QDateTime | getDateTime () const
void | setDateTime (const QDateTime &dateTime)
CompressionStrategy | getCompressionStrategy () const
int | getCompressionMethod () const
int | getCompressionLevel () const
void | setCompressionStrategy (const CompressionStrategy &strategy)

## Member Enumeration Documentation

## CompressionStrategy

enum JlCompress::Options::CompressionStrategy

The enum values refer to the comments in the open function of the quazipfile.h file.

The value is represented by two hexadecimal characters, the left character indicating the compression method, and the right character indicating the compression level.

method == 0 indicates that the file is not compressed but rather stored as is. method == 8(Z_DEFLATED) indicates that zlib compression is used.

A higher value of level indicates a smaller size of the compressed file, although it also implies more time consumed during the compression process.

Enumerator
Storage | Storage without compression.
Fastest | The fastest compression speed.
Faster | Relatively fast compression speed.
Standard | Standard compression speed and ratio.
Better | Better compression ratio.
Best | The best compression ratio.
Default | The default compression strategy, according to the open function of quazipfile.h, the value of method is Z_DEFLATED, and the value of level is Z_DEFAULT_COMPRESSION -1 (equals lvl 6)

The documentation for this class was generated from the following file:

- quazip/JlCompress.h